<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ebts.generator.dao.UniColumnInfoDao">

    <insert id="insertUniColumnInfo" parameterType="java.util.List">
        insert into gen_uni_column_info (query_id,prop,label,dict_type) values
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.queryId},#{item.prop},#{item.label},#{item.dictType})
        </foreach>
    </insert>
    <delete id="deleteUniColumnInfo">
        delete from gen_uni_column_info where query_id = #{queryId}
    </delete>
</mapper>
